EDIT - bug #7830

VALIDATE_AGAINST_HIGHER_NAME_PART specific epithet is not being reset to testfield on rank
changes

10/17/2018 12:55 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.4

Severity: major Found in Version:

Description

For ranks below species when mode VALIDATE_AGAINST_HIGHER_NAME_PART is enabled the "specific epithet" field restricted
to existing species epithet names in the according genus. Changing the rank to Species does not reset the "specific epithet" to a
plain test field.

the VALIDATE_AGAINST_HIGHER_NAME_PART was originally implemented in #7338

Associated revisions

Revision 68cc664b - 10/17/2018 02:00 PM - Andreas Kohlbecker
fix #7830 fixing WeaklyRelatedEntityCombobox reset to textfield for specific epithet in name editor

Revision 959b2c17 - 10/24/2018 12:33 PM - Andreas Kohlbecker
ref #7830 ref #7814 fixing WeaklyRelatedEntityCombobox reset to textfield for genus in name editor

History

#1 - 10/17/2018 02:00 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|68cc664b0f005de9c2d20aa0b518074811d90ce9.

#2 - 10/17/2018 02:00 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
